Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class PKIHeader

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.PKIHeader

All Implemented Interfaces:
  DEREncodable

    public class PKIHeader

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static PKIHeader` `getInstance(java.lang.Object o)`
`DERInteger` `getPvno()`
`GeneralName` `getRecipient()`
`GeneralName` `getSender()`

`DERObject`

`toASN1Object()`
PKIHeader ::= SEQUENCE { pvno INTEGER { cmp1999(1), cmp2000(2) }, sender GeneralName, -- identifies the sender recipient GeneralName, -- identifies the intended recipient messageTime [0] GeneralizedTime OPTIONAL, -- time of production of this message (used when sender -- believes that the transport will be "suitable"; i.e., -- that the time will still be meaningful upon receipt) protectionAlg [1] AlgorithmIdentifier OPTIONAL, -- algorithm used for calculation of protection bits senderKID [2] KeyIdentifier OPTIONAL, recipKID [3] KeyIdentifier OPTIONAL, -- to identify specific keys used for protection transactionID [4] OCTET STRING OPTIONAL, -- identifies the transaction; i.e., this will be the same in -- corresponding request, response, certConf, and PKIConf -- messages senderNonce [5] OCTET STRING OPTIONAL, recipNonce [6] OCTET STRING OPTIONAL, -- nonces used to provide replay protection, senderNonce -- is inserted by the creator of this message; recipNonce -- is a nonce previously inserted in a related message by -- the intended recipient of this message freeText [7] PKIFreeText OPTIONAL, -- this may be used to indicate context-specific instructions -- (this field is intended for human consumption) generalInfo [8] SEQUENCE SIZE (1..MAX) OF InfoTypeAndValue OPTIONAL -- this may be used to convey context-specific information -- (this field not primarily intended for human consumption) }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PKIHeader getInstance(java.lang.Object o)

### getPvno

    public DERInteger getPvno()

### getSender

    public GeneralName getSender()

### getRecipient

    public GeneralName getRecipient()

### toASN1Object

    public DERObject toASN1Object()

        PKIHeader ::= SEQUENCE {
                  pvno                INTEGER     { cmp1999(1), cmp2000(2) },
                  sender              GeneralName,
                  -- identifies the sender
                  recipient           GeneralName,
                  -- identifies the intended recipient
                  messageTime     [0] GeneralizedTime         OPTIONAL,
                  -- time of production of this message (used when sender
                  -- believes that the transport will be "suitable"; i.e.,
                  -- that the time will still be meaningful upon receipt)
                  protectionAlg   [1] AlgorithmIdentifier     OPTIONAL,
                  -- algorithm used for calculation of protection bits
                  senderKID       [2] KeyIdentifier           OPTIONAL,
                  recipKID        [3] KeyIdentifier           OPTIONAL,
                  -- to identify specific keys used for protection
                  transactionID   [4] OCTET STRING            OPTIONAL,
                  -- identifies the transaction; i.e., this will be the same in
                  -- corresponding request, response, certConf, and PKIConf
                  -- messages
                  senderNonce     [5] OCTET STRING            OPTIONAL,
                  recipNonce      [6] OCTET STRING            OPTIONAL,
                  -- nonces used to provide replay protection, senderNonce
                  -- is inserted by the creator of this message; recipNonce
                  -- is a nonce previously inserted in a related message by
                  -- the intended recipient of this message
                  freeText        [7] PKIFreeText             OPTIONAL,
                  -- this may be used to indicate context-specific instructions
                  -- (this field is intended for human consumption)
                  generalInfo     [8] SEQUENCE SIZE (1..MAX) OF
                                       InfoTypeAndValue     OPTIONAL
                  -- this may be used to convey context-specific information
                  -- (this field not primarily intended for human consumption)
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45